<script setup>
import { computed } from "vue";
import TableRuntime from "../../../../table/index.vue";
defineOptions({ name: "ShwfedBlockTableRuntime" });
const block = defineModel("block", { type: null, ...{ required: true } });
const tableConfig = computed({
  get: () => block.value.table,
  set: (next) => {
    if (!next) return;
    block.value = { ...block.value, table: next };
  }
});
</script>

<template>
  <TableRuntime v-model:config="tableConfig" />
</template>
